@import url("https://fonts.googleapis.com/css?family=Roboto");

:root {
   --primary-color: #dc3545;
   --dark-color: #333333;
   --light-color: #f4f4f4;
   --danger-color: #dc3545;
   --success-color: #28a745;
}

* {
   box-sizing: border-box;
   margin: 0;
   padding: 0;
}

body {
   font-family: "Roboto", sans-serif;
   font-size: 1rem;
   line-height: 1.6;
   background-color: #fff;
   color: #333;
}

a {
   color: var(--primary-color);
   cursor: pointer;
   text-decoration: none;

   &:hover {
      color: #666;
   }
}

ul {
   list-style: none;
}

img {
   width: 100%;
}

.container {
   max-width: 1100px;
   margin: auto;
   overflow: hidden;
   padding: 0 2rem;
}

.text-primary {
   color: var(--primary-color);
}

.text-dark {
   color: var(--dark-color);
}

.text-success {
   color: var(--success-color);
}

.text-danger {
   color: var(--danger-color);
}

.text-center {
   text-align: center;
}

.card {
   padding: 1rem;
   border: #ccc 1px dotted;
   margin: 0.7rem 0;

   &-header {
      display: flex;
      justify-content: space-between;
      align-items: center;
   }

   &-content {
      margin-bottom: 0.5rem;
   }
}

.list {
   margin: 0.5rem 0;

   li {
      padding-bottom: 0.3rem;
   }
}

.btn {
   display: inline-block;
   background: var(--light-color);
   color: #333;
   padding: 0.4rem 1.3rem;
   font-size: 1rem;
   border: none;
   cursor: pointer;
   margin-right: 0.5rem;
   transition: opacity 0.2s ease-in;
   outline: none;

   &:disabled {
      cursor: not-allowed;
      background: var(--light-color);
      color: #111;
   }
}

.btn-link {
   background: none;
   padding: 0;
   margin: 0;
}

.btn-block {
   display: block;
   width: 100%;
}

.btn-sm {
   font-size: 0.8rem;
   padding: 0.3rem 1rem;
   margin-right: 0.2rem;
}

.badge {
   display: inline-block;
   font-size: 0.8rem;
   padding: 0.2rem 0.7rem;
   text-align: center;
   margin: 0.3rem;
   background: var(--light-color);
   color: #333;
   border-radius: 5px;
}

.alert {
   padding: 0.7rem;
   margin: 1rem 0;
   opacity: 0.9;
   background: var(--light-color);
   color: #333;
}

.btn-primary,
.bg-primary,
.badge-primary,
.alert-primary {
   background: var(--primary-color);
   color: #fff;
}

.btn-light,
.bg-light,
.badge-light,
.alert-light {
   background: var(--light-color);
   color: #333;
}

.btn-dark,
.bg-dark,
.badge-dark,
.alert-dark {
   background: var(--dark-color);
   color: #fff;
}

.btn-danger,
.bg-danger,
.badge-danger,
.alert-danger {
   background: var(--danger-color);
   color: #fff;
}

.btn-success,
.bg-success,
.badge-success,
.alert-success {
   background: var(--success-color);
   color: #fff;
}

.btn-white,
.bg-white,
.badge-white,
.alert-white {
   background: #fff;
   color: #333;
   border: #ccc solid 1px;
}

.btn:hover {
   opacity: 0.8;
}

.bg-light,
.badge-light {
   border: #ccc solid 1px;
}

.round-img {
   border-radius: 50%;
}

.form-control {
   display: block;
   color: #888;
   margin-bottom: 0.8rem;

   &.invalid {
      color: var(--primary-color);
      input {
         border-color: var(--primary-color);
      }
   }

   .validation {
      color: var(--primary-color);
   }
}

input[type="text"],
input[type="email"],
input[type="password"],
input[type="date"],
select,
textarea {
   display: block;
   width: 100%;
   padding: 0.4rem;
   font-size: 1.2rem;
   border: 1px solid #ccc;
}

input[type="submit"],
button {
   font: inherit;
}

table {
   width: 100%;
   border-collapse: collapse;
}

table th,
table td {
   padding: 1rem;
   text-align: left;
}

table th {
   background: var(--light-color);
}

.navbar {
   display: flex;
   justify-content: space-between;
   align-items: center;
   padding: 0.7rem 2rem;
   z-index: 1;
   width: 100%;
   opacity: 0.9;
   margin-bottom: 1rem;

   &.main {
      justify-content: center;
      border-bottom: 1px solid var(--dark-color);
   }

   ul {
      display: flex;
   }

   li.active a {
      color: var(--dark-color);
      font-weight: bold;
      cursor: default;
   }

   a {
      color: #fff;
      padding: 0.45rem;
      margin: 0 0.25rem;

      &:hover {
         color: var(--light-color);
      }
   }
}
